PuDB is a full-screen, console-based visual debugger for Python.

Its goal is to provide all the niceties of modern GUI-based debuggers
in a more lightweight and keyboard-friendly package. PuDB allows you
to debug code right where you write and test it--in a terminal. If
you've worked with the excellent (but nowadays ancient) DOS-based
Turbo Pascal or C tools, PuDB's UI might look familiar.

OPTIONS

Unless specified, both python2 and python3 versions will be built.

To *ONLY* build the python2 version, use:

PYTHON3=no ./pudb.SlackBuild

To *ONLY* build the python3 version, use:

PYTHON2=no ./pudb.SlackBuild

#####################################################################

GETTING STARTED

Please see starting.rst usage.rst misc.rst and shells.rst in
/usr/doc/pudb-$VERSION to get started, and also -

Online docs:

https://documen.tician.de/pudb/

A simple, but useful, illustrated example page:

http://heather.cs.ucdavis.edu/~matloff/pudb.html
